#Added by slkbuild 0.8.4
dotnew() {
        NEW="${1}.new"
        OLD="$1"
        if [ ! -e $OLD ]; then
                mv $NEW $OLD
        elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
                rm $NEW
        fi
}
dotnew etc/mongoose.conf
doinst() {
	if [ -r etc/rc.d/rc.mongoose -a -r etc/rc.d/rc.mongoose.new ]; then
		chmod --reference=etc/rc.d/rc.mongoose etc/rc.d/rc.mongoose.new
	fi
	mv etc/rc.d/rc.mongoose.new etc/rc.d/rc.mongoose
}
doinst
